org.apache.commons.math3.dfp

## Interface UnivariateDfpFunction

    public interface UnivariateDfpFunction

An interface representing a univariate `Dfp` function.

Version:
  $Id: UnivariateDfpFunction.java 1416643 2012-12-03 19:37:14Z tn $

### Method Summary

Methods
`Dfp` `value(Dfp x)` Compute the value of the function.

### Method Detail

#### value

    Dfp value(Dfp x)

Compute the value of the function.

Parameters:
  `x` - Point at which the function value should be computed.
Returns:
  the value.
Throws:
  `IllegalArgumentException` - when the activated method itself can ascertain that preconditions, specified in the API expressed at the level of the activated method, have been violated. In the vast majority of cases where Commons-Math throws IllegalArgumentException, it is the result of argument checking of actual parameters immediately passed to a method.